Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Mon, 13 Dec 2021 16:47:48 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery It is ridiculous that my order placed on 6/12 of Junior Maxim Travel System until today did not receive it! I was told from the call centre yesterday it was supposed to be delivered by end of yesterday and nothing yet! Now spoke to one of your call centre representatives and informed me not sure when delivery and items need to be assembled and all i need it in a box I AM TRAVELLING THIS COMING WEDNESDAY 15/12 ALL WHAT I NEED IT IN A BOX!!!!!  Complaint number 3596753 I NEED MY ITEM TO BE DELIVERED TODAY MAX TOMORROW MID DAY.. Thanks!! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3596775